Bug 40186 - anaconda (at least in kickstart mode) doesn't abort on failed package installs
anaconda (at least in kickstart mode) doesn't abort on failed package installs
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-10 22:04 EDT by Steven Roberts
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-14 15:05:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Roberts 2001-05-10 22:04:33 EDT
Description of Problem:
if you do not have propers requirements for a package in kickstart mode seomtimes the installer doesn't abort.  in most cases if package B 
needs package A, and package A isn't specified, the automated install halts.  howevere if an rpm is present that requires rpmv4 is attaempted 
but rpmv3 is being installed, the rpm db entry is toasted for that package with no warning.  By toast I am meaning the entry is in the DB, but no 
files are installed (so an rpm -e fails for rpm's with post install scripts withoutout doing a rpm -e --noscripts).  Example of one rpm is 
ucd-snmp-4.1.1-3.i386.rpm, but all the new rpm's like xntp3 are this way.

How Reproducible:
very.

Steps to Reproduce:
1. setup kickstart environment with latest updates sans the rpm4 ones

Actual Results:
corrupted install

Expected Results:
abort with an error

Additional Information:
See bug #40183 for some related information
Comment 1 Brent Fox 2001-05-14 15:05:00 EDT
There are many ways to break the installer by removing the packages that it
expects to find.  When a package requires RPMv4, it *really* must have it, so it
doesn't surprise me that the installation would either fail or behave very
strangely, or even leave you with a corrupted system.  

I agree with you that it would be nice to provide some kind of warning, but
there are essentially an infinite number of ways to break the install tree on
the ftp server by doing strange things to it, and it would be almost impossible
to write an installer that handled an infinite number of corner cases.
Comment 2 Steven Roberts 2001-05-14 20:00:42 EDT
so there is no way to get the error status from rpm during the install?  seems like on the rpm -i call (or whatever the equiv. one the installer does) 
checking the return value and tossing an exception would be possible.

FYI, some of the rpm's actually don't really require rpmv4.  they will die during the install without it, but post install they will install fine.

Note You need to log in before you can comment on or make changes to this bug.